> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-external-saas-command-stats.md).

# getExternalSaasCommandStats

Get per-command stats: total users and total calls.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetExternalSaasCommandStats($input: ExternalSaasStatsInput) {
  getExternalSaasCommandStats(input: $input) {
    items {
      command
      patternDescription
      userEmails
      totalCalls
    }
    total
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "name": "api.github.com",
    "limit": 100,
    "offset": 0
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetExternalSaasCommandStats($input: ExternalSaasStatsInput) { getExternalSaasCommandStats(input: $input) { items { command patternDescription userEmails totalCalls } total } }",
 "variables": {
    "input": {
      "name": "api.github.com",
      "limit": 100,
      "offset": 0
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetExternalSaasCommandStats($input: ExternalSaasStatsInput) { getExternalSaasCommandStats(input: $input) { items { command patternDescription userEmails totalCalls } total } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        name: "api.github.com",
        limit: 100,
        offset: 0
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetExternalSaasCommandStats($input: ExternalSaasStatsInput) { getExternalSaasCommandStats(input: $input) { items { command patternDescription userEmails totalCalls } total } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "name": "api.github.com",
        "limit": 100,
        "offset": 0
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getExternalSaasCommandStats` query.

| Argument                                                                                                                  | Description | Supported fields                                                                     |
| ------------------------------------------------------------------------------------------------------------------------- | ----------- | ------------------------------------------------------------------------------------ |
| input [`ExternalSaasStatsInput`](/api-documentation/api-reference/api--vibesec/types/inputs/external-saas-stats-input.md) |             | <p>name <code>String</code><br>limit <code>Int</code><br>offset <code>Int</code></p> |

### Fields

Return type: [`ExternalSaasCommandStatsResponse!`](/api-documentation/api-reference/api--vibesec/types/objects/external-saas-command-stats-response.md)

You can use the following field(s) to specify what information your `getExternalSaasCommandStats` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                               | Description                                                          | Supported fields                                                                                                                                      |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[ExternalSaasCommandStatItem!]!`](/api-documentation/api-reference/api--vibesec/types/objects/external-saas-command-stat-item.md)           | List of external SaaS command statistics matching the query criteria | <p>command <code>String!</code><br>patternDescription <code>String!</code><br>userEmails <code>\[String!]!</code><br>totalCalls <code>Int!</code></p> |
| ~~data~~ [~~`[ExternalSaasCommandStatItem!]!`~~](/api-documentation/api-reference/api--vibesec/types/objects/external-saas-command-stat-item.md) ⚠️ | **Deprecated**: Use items                                            | <p>command <code>String!</code><br>patternDescription <code>String!</code><br>userEmails <code>\[String!]!</code><br>totalCalls <code>Int!</code></p> |
| total `Int!`                                                                                                                                        | Total number of commands matching the query criteria                 |                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-external-saas-command-stats.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
